%global DIRVERSION %{version}
%define debug_package %{nil}
%undefine _disable_source_fetch

Name: janky-mms
Version: %(date +%%Y%%m%%d)
Release: 100%{?dist}
Summary: Janky-mms MMS downloader utility
License: GPLv3
Source0: https://git.sr.ht/~amindfv/janky-mms/archive/master.tar.gz
Group: Applications/Networking
URL: https://git.sr.ht/~amindfv/janky-mms

BuildRequires: ghc-split-devel ghc-curl-devel ghc-unbounded-delays-devel ghc-cereal-devel ghc-attoparsec-devel ghc
BuildRequires: git
Requires: ghc-split ghc-curl ghc-unbounded-delays ghc-cereal ghc-attoparsec git-annex ModemManager


%description
janky-mms haskell script

%prep
%setup -n %{name}-master

%build
ghc -imms-wap-wsp -O2 jmms.hs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
install -m 0755 jmms $RPM_BUILD_ROOT/%{_bindir}/

%files
%{_bindir}/jmms

